# mypy-boto3-health

[![PyPI - mypy-boto3-health](https://img.shields.io/pypi/v/mypy-boto3-health.svg?color=blue)](https://pypi.org/project/mypy-boto3-health)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-health.svg?color=blue)](https://pypi.org/project/mypy-boto3-health)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

Type annotations for
[boto3.Health 1.12.26](https://boto3.amazonaws.com/v1/documentation/api/1.12.26/reference/services/health.html#Health) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 1.0.5](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-health](#mypy-boto3-health)
  - [How to use](#how-to-use)
    - [Type checking](#type-checking)
  - [How it works](#how-it-works)

## How to use

### Type checking

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `Health` service.

```bash
python -m pip install boto3-stubs[mypy-boto3-health]
```

Use `boto3` with `mypy_boto3` in your project and enjoy type checking and auto-complete.

```python
import boto3

from mypy_boto3 import health
# alternative import if you do not want to install mypy_boto3 package
# import mypy_boto3_health as health

# Use this client as usual, now mypy can check if your code is valid.
# Check if your IDE supports function overloads,
# you probably do not need explicit type annotations
# client = boto3.client("health")
client: health.HealthClient = boto3.client("health")

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: health.HealthClient = session.client("health")


# Paginators need type annotation on creation
describe_affected_accounts_for_organization_paginator: health.DescribeAffectedAccountsForOrganizationPaginator = client.get_paginator("describe_affected_accounts_for_organization")
describe_affected_entities_paginator: health.DescribeAffectedEntitiesPaginator = client.get_paginator("describe_affected_entities")
describe_affected_entities_for_organization_paginator: health.DescribeAffectedEntitiesForOrganizationPaginator = client.get_paginator("describe_affected_entities_for_organization")
describe_event_aggregates_paginator: health.DescribeEventAggregatesPaginator = client.get_paginator("describe_event_aggregates")
describe_event_types_paginator: health.DescribeEventTypesPaginator = client.get_paginator("describe_event_types")
describe_events_paginator: health.DescribeEventsPaginator = client.get_paginator("describe_events")
describe_events_for_organization_paginator: health.DescribeEventsForOrganizationPaginator = client.get_paginator("describe_events_for_organization")
```

## How it works

Fully automated [builder](https://github.com/vemel/mypy_boto3_builder) carefully generates
type annotations for each service, patiently waiting for `boto3` updates. It delivers
a drop-in type annotations for you and makes sure that:

- All available `boto3` services are covered.
- Each public class and method of every `boto3` service gets valid type annotations
  extracted from the documentation (blame `botocore` docs if types are incorrect).
- Type annotations include up-to-date documentation.
- Link to documentation is provided for every method.
- Code is processed by [black](https://github.com/psf/black) for readability.